# class Xapian::ESet

Refer to the Xapian::ESet C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

terms(&block) click to toggle source

    # File xapian.rb, line 235
    def terms(&block)
      # note: in the ExpandTerm wrapper, we implicitly rename
      # ESetIterator#term() (defined in xapian-headers.i) to ExpandTerm#term()
      Xapian._safelyIterate(self._begin(),
                            self._end(),
                            lambda { |item| Xapian::ExpandTerm.new(item.term, item.weight) },
                            &block)
    end